export declare abstract class Manager<O> {
    optionsByElement: Map<HTMLElement, O>;
    constructor();
    abstract bind(el: HTMLElement, options: O): void;
    abstract unbind(el: HTMLElement): void;
    add(el: HTMLElement, options: any): void;
    remove(el: HTMLElement): void;
}
